import request from '@/service'

// 修改作品状态 入围-不入围-待定
const updateStatus = (data) => {
  return request({
    url: '/children/competition/update/work/status',
    method: 'POST',
    data,
  })
}
// 设置报名截止时间
const deadlineSet = (data) => {
  return request({
    url: '/children/competition/set/registration/deadline',
    method: 'POST',
    data,
  })
}

// 导出投票结果
const exportVote = (data) => {
  return request({
    url: '/children/competition/works/votes/export/form',
    method: 'POST',
    data,
  })
}

// 单作品生成投票二维码
const  generateQr= (data) => {
  return request({
    url: '/children/competition/generate/qr/code',
    method: 'POST',
    data,
  })
}

// 全部作品生成投票二维码
const generateQrCode = (data) => {
  return request({
    url: '/children/competition/batch/generate/qrCode',
    method: 'POST',
    data,
  })
}

export  {
  updateStatus,
  deadlineSet,
  exportVote,
  generateQr,
  generateQrCode,
}
